What's new

Evasi0n7 (iOS 7) Jailbreak Discussion Thread

JetLife

New Member
Joined
Feb 25, 2012
Messages
15
Reaction score
3
Some tweaks do. The new mobile substrate was released so now it's on the developers to update their tweaks. Things like barrel and various others work. Seems like most I try/want still do not work. Much better than 2-3 days ago tho
 
Last edited:

Jrome.brooks

Active Member
Joined
Nov 13, 2012
Messages
608
Reaction score
148
Some tweaks do. The new mobile substrate was released so now it's on the developers to update their tweaks. Things like barrel and various others work. Seems like most I try/want still do not work. Much better than 2-3 days ago tho

I'll wait another month a see what's good
 

bknewtype

Active Member
Joined
Aug 30, 2010
Messages
434
Reaction score
59
Location
New York
Ok, so now I'm confused too. I too, have a green background with the white silhouette. This is a now outdated version?

If so or if not, I get a not found error when I try to use the apt-get commands. I did the su and alpine inputs and it got the var/root fine, but then it gives me the error when I do apt-get XXX. I verified that apt 7.0 IS installed and apt should be part of the standard package right?

Question 1- Do I REALLY have an outdated cydia version?
Question 2- What am I doing wrong with the mobilterminal?

Thanks,
Rik
View attachment 14535View attachment 14536

I had the same problem. I had to dl apt 6

Sent via iPhone 5
 

Rik756

Member
Joined
Nov 26, 2011
Messages
185
Reaction score
5
Location
Memphis, TN
I'll wait another month a see what's good
If you wait THAT long you may be out of luck. I would/did jailbreak now and I'm just waiting on the apps to catch up.

I had the same problem. I had to dl apt 6
That worked... Thank you. Just very counter-intuitive to have to download an older package to perform a command. However, even after successfully performing the commands I can't see / tell any difference with cydia.

Rik
 

JetLife

New Member
Joined
Feb 25, 2012
Messages
15
Reaction score
3
Important Note: As a safety precaution/net for all jailbreakers, please install afc2add, OpenSSH and MobileTerminal onto your devices before installing ANY packages through Cydia. With these 3 packages, you can troubleshoot 99% of problems on jailbroken devices, which is especially important if the latest iOS is not jailbreak-able. That way, we can troubleshoot your issue without having to perform a complete restore and lose your jailbreak. The 3 packages take up an extremely negligible amount of space on your device and none of them conflicts or causes any issue to your device, and makes troubleshooting a heck of a lot easier. Optionally, you can manually install Cydia (Mobile) Substrate, which will also install Substrate Safe Mode, which can also be used for troubleshooting quite a few issues. Many tweaks rely on Cydia Substrate, so you may or may not have to install it manually as a package with a Cydia Substrate dependency will automatically download it as well.
Just read this and I didn't dl those 3 packages. Can I uninstall the couple tweaks I have then install those 3 packages? Or do I need to re jb my phone and install the packages? I'm on 5s, I've dl other tweaks, most of which didn't work and I have deleted them. I believe I have 4 tweaks installed atm
 
OP
willerz2

willerz2

Super Moderator
Staff member
Joined
Aug 15, 2012
Messages
7,663
Reaction score
655
Location
New York
I had the same problem. I had to dl apt 6

Sent via iPhone 5

If you wait THAT long you may be out of luck. I would/did jailbreak now and I'm just waiting on the apps to catch up.

That worked... Thank you. Just very counter-intuitive to have to download an older package to perform a command. However, even after successfully performing the commands I can't see / tell any difference with cydia.

Rik

I'm not seeing the issue is here. If you're both referring to the check mark next to the installed packages, that's what it's supposed to be on Cydia 1.1.9. 1.1.8 used a simple check mark, 1.1.9 uses a white check mark with a green background. The only reason I can think of with respect to @bknewtype's differentiation between his Cydia and his friend's Cydia is that his friend is still using 1.1.8+, which does not have the green background for the check mark since it only targetted the base UI colors and not the icons itself.

Just read this and I didn't dl those 3 packages. Can I uninstall the couple tweaks I have then install those 3 packages? Or do I need to re jb my phone and install the packages? I'm on 5s, I've dl other tweaks, most of which didn't work and I have deleted them. I believe I have 4 tweaks installed atm

It's just for safety precautions. None of the 3 are packages that are required for anything, nor do they make or break your device. The only situation where they make or break your device, is if you're in a pickle and need to get the device working again without having to restore it. If yu haven't installed them yet, you don't have to remove anything, just queue the 3 packages up and install them, they won't affect your current setup.
 
Last edited:

JetLife

New Member
Joined
Feb 25, 2012
Messages
15
Reaction score
3
One more question, today when I open cydia I keep getting this error message, is anyone else getting this? $image-822736075.jpg
 
OP
willerz2

willerz2

Super Moderator
Staff member
Joined
Aug 15, 2012
Messages
7,663
Reaction score
655
Location
New York
One more question, today when I open cydia I keep getting this error message, is anyone else getting this? View attachment 14539

Remove the UltraSn0w repository by going to Manage on the bottom, Sources, tap edit in the top right corner, tap the ( - ) next to the UltraSn0w repo, and delete it.
 

JetLife

New Member
Joined
Feb 25, 2012
Messages
15
Reaction score
3
Do I not need that repo? It came with cydia when I jb my phone
 
OP
willerz2

willerz2

Super Moderator
Staff member
Joined
Aug 15, 2012
Messages
7,663
Reaction score
655
Location
New York
So I only really need these 4 sources then?


View attachment 14540

Yes. The UltraSn0w repo only housed the UltraSn0w package, which is only applicable for the iPhone 3G, iPhone 3G and an extremely limited amount of iPhone 4 users. The repository has been a leading cause of POSIX Operation Timed Out errors that leaves users loading their packages at the start of Cydia or when they tap on Refresh in the Changes tab for 5 to 10 minutes only to result in an operation timed out as well as a NODATA1/2 error.

The 4 default sources are the best and most trusted place to get your packages. There are developer private repos that you can add as well (for beta purposes in the most case as most of them host their packages on the big 4 repos) that are safe to use assuming they're directly from the developer, not another person faking a similar repository.
 

iphonefr33k

Member
Joined
Jun 5, 2012
Messages
91
Reaction score
2
For the 4S I see only the official Apple Firmware Release v7.0? There is not a 7.04? So do I update to 7.04 through iTunes then JB?
 
Top